[pve-devel] [PATCH manager 2/5] fix language selector

Dominik Csapak d.csapak at proxmox.com
Fri Apr 1 13:10:58 CEST 2016


due to the changes in
7515e62236b9f3c8317c3aa0dbf470e2b8efdd71
we have to set the default value to '__default__'
instead of ''

Signed-off-by: Dominik Csapak <d.csapak at proxmox.com>
---
 www/manager6/Utils.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/www/manager6/Utils.js b/www/manager6/Utils.js
index 02050dc..4c81501 100644
--- a/www/manager6/Utils.js
+++ b/www/manager6/Utils.js
@@ -294,7 +294,7 @@ Ext.define('PVE.Utils', { statics: {
     },
 
     language_array: function() {
-	var data = [['', PVE.Utils.render_language('')]];
+	var data = [['__default__', PVE.Utils.render_language('')]];
 	Ext.Object.each(PVE.Utils.language_map, function(key, value) {
 	    data.push([key, PVE.Utils.render_language(value)]);
 	});
-- 
2.1.4




More information about the pve-devel mailing list